
use strict; # useless include, but keeps perlcritic silent                      
use warnings;  # -"-

           # key => [qw( ssl     kx              au      enc                 bit mac     name   tags )],
%_ciphers_openssl_medium = (
     '0x00,0x9A' => [qw( SSLv3   DH              RSA     SEED                128 SHA1    DHE-RSA-SEED-SHA    )],
     '0x00,0x99' => [qw( SSLv3   DH              DSS     SEED                128 SHA1    DHE-DSS-SEED-SHA    )],
     '0x00,0x98' => [qw( SSLv3   DH/RSA          DH      SEED                128 SHA1    DH-RSA-SEED-SHA    )],
     '0x00,0x97' => [qw( SSLv3   DH/DSS          DH      SEED                128 SHA1    DH-DSS-SEED-SHA    )],
     '0x00,0x9B' => [qw( SSLv3   DH              None    SEED                128 SHA1    ADH-SEED-SHA    )],
     '0x00,0x96' => [qw( SSLv3   RSA             RSA     SEED                128 SHA1    SEED-SHA    )],
     '0x00,0x07' => [qw( SSLv3   RSA             RSA     IDEA                128 SHA1    IDEA-CBC-SHA    )],
'0x05,0x00,0x80' => [qw( SSLv2   RSA             RSA     IDEA                128 MD5     IDEA-CBC-MD5    )],
'0x03,0x00,0x80' => [qw( SSLv2   RSA             RSA     RC2                 128 MD5     RC2-CBC-MD5    )],
     '0xC0,0x11' => [qw( SSLv3   ECDH            RSA     RC4                 128 SHA1    ECDHE-RSA-RC4-SHA    )],
     '0xC0,0x07' => [qw( SSLv3   ECDH            ECDSA   RC4                 128 SHA1    ECDHE-ECDSA-RC4-SHA    )],
     '0x00,0x66' => [qw( SSLv3   DH              DSS     RC4                 128 SHA1    DHE-DSS-RC4-SHA    )],
     '0xC0,0x16' => [qw( SSLv3   ECDH            None    RC4                 128 SHA1    AECDH-RC4-SHA    )],
     '0x00,0x18' => [qw( SSLv3   DH              None    RC4                 128 MD5     ADH-RC4-MD5    )],
     '0xC0,0x0C' => [qw( SSLv3   ECDH/RSA        ECDH    RC4                 128 SHA1    ECDH-RSA-RC4-SHA    )],
     '0xC0,0x02' => [qw( SSLv3   ECDH/ECDSA      ECDH    RC4                 128 SHA1    ECDH-ECDSA-RC4-SHA    )],
     '0x00,0x05' => [qw( SSLv3   RSA             RSA     RC4                 128 SHA1    RC4-SHA    )],
     '0x00,0x04' => [qw( SSLv3   RSA             RSA     RC4                 128 MD5     RC4-MD5    )],
'0x01,0x00,0x80' => [qw( SSLv2   RSA             RSA     RC4                 128 MD5     RC4-MD5    )],
     '0x00,0x92' => [qw( SSLv3   RSAPSK          RSA     RC4                 128 SHA1    RSA-PSK-RC4-SHA    )],
     '0x00,0x8A' => [qw( SSLv3   PSK             PSK     RC4                 128 SHA1    PSK-RC4-SHA    )],
); # %_ciphers_openssl_medium

1;
